Get access
GET /obp/v7.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/permissions
OBPv2.0.0-getPermissionsForBankAccount No role required View-CustomAccountUserEntitlement
Returns the list of the permissions at BANK_ID for account ACCOUNT_ID, with each time a pair composed of the user and the views that he has access to.
User Authentication is Required. The User must be logged in. The Application must also be authenticated. and the user needs to have access to the owner view.
URL Parameters:
ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
BANK_ID: gh.29.uk
JSON response body fields (70)
- alias
- can_add_comment
- can_add_corporate_location
- can_add_image
- can_add_image_url
- false
- can_add_more_info
- false
- can_add_open_corporates_url
- can_add_physical_location
- can_add_private_alias
- can_add_public_alias
- can_add_tag
- false
- can_add_url
- can_add_where_tag
- can_delete_comment
- can_delete_corporate_location
- false
- can_delete_image
- false
- can_delete_physical_location
- can_delete_tag
- can_delete_where_tag
- false
- can_edit_owner_comment
- false
- can_see_bank_account_balance
- can_see_bank_account_bank_name
- false
- can_see_bank_account_currency
- can_see_bank_account_iban
- can_see_bank_account_label
- false
- can_see_bank_account_national_identifier
- can_see_bank_account_number
- false
- can_see_bank_account_owners
- false
- can_see_bank_account_swift_bic
- can_see_bank_account_type
- can_see_comments
- can_see_corporate_location
- false
- can_see_image_url
- false
- can_see_images
- false
- can_see_more_info
- can_see_open_corporates_url
- can_see_other_account_bank_name
- can_see_other_account_iban
- can_see_other_account_kind
- can_see_other_account_metadata
- can_see_other_account_national_identifier
- false
- can_see_other_account_number
- false
- can_see_other_account_swift_bic
- false
- can_see_owner_comment
- can_see_physical_location
- can_see_private_alias
- can_see_public_alias
- can_see_tags
- can_see_transaction_amount
- false
- can_see_transaction_balance
- can_see_transaction_currency
- can_see_transaction_description
- false
- can_see_transaction_finish_date
- can_see_transaction_metadata
- can_see_transaction_other_bank_account
- can_see_transaction_start_date
- can_see_transaction_this_bank_account
- can_see_transaction_type
- can_see_url
- false
- can_see_where_tag
- false
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- display_name
- hide_metadata_if_alias_used
- false
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_public
- false
- permissions
- provider
- ETHEREUM
- short_name
- user
- views
Example success response
{
"permissions": [
{
"user": {
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
"provider": "http://127.0.0.1:8080",
"display_name": "OBP"
},
"views": [
{
"id": "123",
"short_name": "short_name",
"description": "description",
"is_public": true,
"alias": "None",
"hide_metadata_if_alias_used": true,
"can_add_comment": true,
"can_add_corporate_location": true,
"can_add_image": true,
"can_add_image_url": true,
"can_add_more_info": true,
"can_add_open_corporates_url": true,
"can_add_physical_location": true,
"can_add_private_alias": true,
"can_add_public_alias": true,
"can_add_tag": true,
"can_add_url": true,
"can_add_where_tag": true,
"can_delete_comment": true,
"can_delete_corporate_location": true,
"can_delete_image": true,
"can_delete_physical_location": true,
"can_delete_tag": true,
"can_delete_where_tag": true,
"can_edit_owner_comment": true,
"can_see_bank_account_balance": true,
"can_see_bank_account_bank_name": true,
"can_see_bank_account_currency": true,
"can_see_bank_account_iban": true,
"can_see_bank_account_label": true,
"can_see_bank_account_national_identifier": true,
"can_see_bank_account_number": true,
"can_see_bank_account_owners": true,
"can_see_bank_account_swift_bic": true,
"can_see_bank_account_type": true,
"can_see_comments": true,
"can_see_corporate_location": true,
"can_see_image_url": true,
"can_see_images": true,
"can_see_more_info": true,
"can_see_open_corporates_url": true,
"can_see_other_account_bank_name": true,
"can_see_other_account_iban": true,
"can_see_other_account_kind": true,
"can_see_other_account_metadata": true,
"can_see_other_account_national_identifier": true,
"can_see_other_account_number": true,
"can_see_other_account_swift_bic": true,
"can_see_owner_comment": true,
"can_see_physical_location": true,
"can_see_private_alias": true,
"can_see_public_alias": true,
"can_see_tags": true,
"can_see_transaction_amount": true,
"can_see_transaction_balance": true,
"can_see_transaction_currency": true,
"can_see_transaction_description": true,
"can_see_transaction_finish_date": true,
"can_see_transaction_metadata": true,
"can_see_transaction_other_bank_account": true,
"can_see_transaction_start_date": true,
"can_see_transaction_this_bank_account": true,
"can_see_transaction_type": true,
"can_see_url": true,
"can_see_where_tag": true
}
]
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30003: Account not found. Please specify a valid value for ACCOUNT_ID.
- OBP-50000: Unknown Error.